홈 > 프로그래밍 > 안드로이드
안드로이드

안드로이드(Android) 아파치(POI) 라이브러리 호환성 문제

드리머즈 0 3275

안녕하세요. 드리머즈입니다.


음.. 안드로이드에서 POI 라이브러리 사용이 가능하길래 문제가 없을 줄 알았는데

호환성에 꽤 심각한 문제가 있네요.


POI 라이브러리에서 java.awt.Color등의 클래스에 접근을 하는데

안드로이드에선 이 라이브러리를 지원하지 않습니다.


POI 라이브러리에서 안드로이드에서 지원하는 라이브러리를 사용하게끔 수정하면 되는 것 같지만..

보통의 개발자가 그렇게 까진 하지 않자나요.


흠..


안드로이드에서 돌아가게끔 수정한 POI 라이브러리도 있는 것 같지만.. 뭔가 찝찝하네요.


일단은 안드로이드에서 아주 기본적인 POI 함수만 사용하면..

문제가 없긴 하니.. 이렇게 사용해야 겠네요.


cell style등을 바꿀 순 없습니다.. ㅜ


0 Comments
제목
Category
State
  • 현재 접속자 5 명
  • 오늘 방문자 92 명
  • 어제 방문자 197 명
  • 최대 방문자 8,746 명
  • 전체 방문자 309,059 명
  • 전체 게시물 97 개
  • 전체 댓글수 16 개
  • 전체 회원수 45 명
Facebook Twitter GooglePlus KakaoStory NaverBand